# frozen_string_literal: true

ActiveRecord::Schema.define do
  create_table :weddings do |t|
    t.date :date, null: false
    t.timestamps
  end

  create_table :spouses do |t|
    t.references :wedding
    t.string :full_name, null: false
    t.string :nickname, null: false
    t.integer :name_order
  end

  create_table :locations do |t|
    t.string :name, null: false
    t.text :address
    t.timestamps
  end

  create_table :events do |t|
    t.references :wedding, null: false
    t.references :location, null: false
    t.string :name
    t.datetime :time
    t.timestamps
  end

  create_table :guests do |t|
    t.references :wedding
    t.string :full_name, null: false
    t.string :nickname, null: false
    t.string :email
  end
end
