wedding = Wedding.create!(
  date: (wedding_day = Faker::Date.forward(365))
)

wedding.create_spouse_a!(
  nickname: (first_name = Faker::Name.first_name),
  full_name: "#{first_name} #{Faker::Name.middle_name} #{Faker::Name.last_name}",
  name_order: 1
)
wedding.create_spouse_b!(
  nickname: (first_name = Faker::Name.first_name),
  full_name: "#{first_name} #{Faker::Name.middle_name} #{Faker::Name.last_name}",
  name_order: 2
)

build_location = lambda do |odds_of_address|
  Location.new(
    name: Faker::Restaurant.name,
    address: (Faker::Address.full_address if rand(100) < odds_of_address)
  )
end
[
  [50, -1.day, '7:00pm'],
  [100, 0.days, '6:00pm'],
  [0, 1.day, '11:00am']
].each do |(odds_of_address, day_offset, time)|
  wedding.events.create!(
    name: 'Friday Drinks',
    time: Time.zone.parse("#{wedding_day - day_offset} #{time}"),
    location: build_location.call(odds_of_address)
  )
end

25.times do
  wedding.guests.create!(
    nickname: (first_name = Faker::Name.first_name),
    full_name: "#{first_name} #{Faker::Name.last_name}",
    email: (Faker::Internet.email if rand(100) < 80)
  )
end
